function [data, subjects, err] = batch_conn()
% BATCH_CONN wrapper function to run connectivity analysis across subjects

% By James Kragel, 2021
% Distributed under Open Source BSD License

enc_pow_dir = '../../data/hdf5_encoding/';
rec_pow_dir = '../../data/hdf5_retrieval/';

subjects = ident_mscript_subs;
rois_L = {'L_PGp_ROIs.label', 'L_TGd_ROIs.label'};
rois_R = {'R_PGp_ROIs.label', 'R_TGd_ROIs.label'};

parfor cursub = 1:length(subjects)
    try
        data{cursub} = eval_network_conn(subjects{cursub}, ...
                                         enc_pow_dir, ...
                                         rec_pow_dir, ...
                                         rois_L, ...
                                         rois_R);
    catch e
        err{cursub} = e;
    end
end

