function batch_model_train()
%BATCH_MODEL_TRAIN wrapper to trains category and serial position models
%
%
% By James Kragel, 2021
% Distributed under Open Source BSD License

pow_dir = '../../data/hdf5_encoding/';
subjects = ident_mscript_subs; % get subjects to run

res_dir = '../../res/serialpos_models/';
if ~exist(res_dir,'dir')
    mkdir(res_dir);
end

parfor cursub = 1:length(subjects)
    try
        % does not overwrite
        if ~exist([res_dir '/' subjects{cursub} '_model.hdf5'],'file')
            train_serialpos_model(subjects{cursub}, pow_dir, res_dir);
        end
    catch e
        display(e)
    end
end

res_dir = '../../res/category_models/';
if ~exist(res_dir,'dir')
    mkdir(res_dir);
end

parfor cursub = 1:length(subjects)
    try
        % does not overwrite
        if ~exist([res_dir '/' subjects{cursub} '_model.hdf5'],'file')
            train_category_model(subjects{cursub}, pow_dir, res_dir);
        end
    catch e
        display(e)
    end
end

end

