function batch_reinstatement()
%BATCH_REINSTATEMENT wrapper to evaluate models during recall
%(reinstatement analysis)
%
%
%
% By James Kragel, 2021
% Distributed under Open Source BSD License

rec_pow_dir = '../../data/hdf5_retrieval/';

subjects = ident_mscript_subs;
rois_L = {'L_PGp_ROIs.label', 'L_TGd_ROIs.label'};
rois_R = {'R_PGp_ROIs.label', 'R_TGd_ROIs.label'};

% serial position
model_dir = '../../res/serialpos_models/';
res_dir = '../../res/serialpos_reinstatement/';

parfor cursub = 1:length(subjects)
    try
        if exist([res_dir subjects{cursub} '_reins.hdf5'],'file')
            continue
        end
        
         eval_serialpos_reinstatement(subjects{cursub}, ...
                                      rec_pow_dir, ...
                                      model_dir, ...
                                      res_dir, ...
                                      rois_L, ...
                                      rois_R);
    catch e
        disp(e);
    end
end


% category
model_dir = '../../res/category_models/';
res_dir = '../../res/category_reinstatement/';

parfor cursub = 1:length(subjects)
    try
        if exist([res_dir subjects{cursub} '_reins.hdf5'],'file')
            continue
        end
        
         eval_category_reinstatement(subjects{cursub}, ...
                                     rec_pow_dir, ...
                                     model_dir, ...
                                     res_dir, ...
                                     rois_L, ...
                                     rois_R);
    catch e
        disp(e);
    end
end

end







