function tfced = tfce_transform_twotailed(ts,H,E,C,dh)
%TFCE_TRANSFORM_TWOTAILED convenience wrapper for tfce_transform
%   Performs threshold free cluster enhancement of both positive and
%   negative sides of an image.
%   -- ts the 2D image to be transformed
%   -- H height exponent
%   -- E extent exponent
%   -- C connectivity
%   -- dh step size for cluster formation

% call tfce on both sides of the image
tfced_pos = tfce_transform(ts,H,E,C,dh);
tfced_neg = tfce_transform(-ts,H,E,C,dh);
tfced = tfced_pos-tfced_neg;

end