function cats = lookup_cat(items)
%LOOKUP CATS gets sorted list of categories by looking into event
%information

% the below works on rhino, updating to work locally
% events = get_sub_events('RAM_CatFR1','R1065J');
% [uw,i] = unique({events.item}); uw = lower(uw);
% uc = {events(i).category}; uc = lower(uc);

% By James Kragel, 2021
% Distributed under Open Source BSD License

pow_dir = '../../data/hdf5_encoding/';
subject = 'R1065J'; % this is arbitrary, just need all categories in data

try
    item = h5read([pow_dir '/' subject '_pow.hdf5'],'/events/item');
catch
    item = h5read([pow_dir '/' subject '_pow.hdf5'],'/events/item_name');
end
category = h5read([pow_dir '/' subject '_pow.hdf5'],'/events/category');
item = deblank(lower(item)); category =deblank(lower(category));

[uw,i] = unique(item); 
uc = category(i);

items = lower(deblank(items));

for i = 1:length(items)
    cats{i} = uc{strcmpi(uw,items{i})};
end

end

