function sem = nansem(x,w,dim)
% NANSEM wrapper for stats toolbox nanstd to convert to sem
%
% see nanstd.m for details
%
% By James Kragel, 2021
% Distributed under Open Source BSD License

if nargin < 2 || isempty(w)
    w = 0;
    if nargin < 3
        dim = 1;
    end
end

n   = sum(~isnan(x), dim);
sem = nanstd(x, w, dim)./sqrt(n);

